Subject: bug#44850: 27.1; Emacs crash in font handling with font-backend ns

From: Alan Third <[email-masked]>
Date: Fri, 27 Nov 2020 09:55:19 +0000

On Fri, Nov 27, 2020 at 09:16:13AM +0100, Lars Ingebrigtsen wrote:
> Eli Zaretskii <[email-masked]> writes:
> 
> >>     format=0x10051ecc5 "%s  —  (%d x %d)", format_end=0x0, ap=0x7ffeefbf62b0) at doprnt.c:493
> 
> [...]
> 
> > I believe this is a known problem.
> 
> Ah, this is the issue with non-ASCII characters in the format string
> when used in the frame titles?
> 
> I thought that had been fixed...  but I can't find the bug report for it
> now.  It's odd that Emacs 28 doesn't segfault for me on Macos, then.
> (Alan added to the Cc's.)

It's bug#44349. It doesn't look like that bug report went anywhere.

We could easily replace that character, but I think it came along with
the NS port, so it's strange how it's only become an issue now.

-- 
Alan Third